diff --git a/contrib/pg_upgrade/check.c b/contrib/pg_upgrade/check.c
new file mode 100644
index 87e9031..6a498c3
*** a/contrib/pg_upgrade/check.c
--- b/contrib/pg_upgrade/check.c
*************** create_script_for_old_cluster_deletion(c
*** 528,534 ****
  #endif
  
  	/* delete old cluster's default tablespace */
! 	fprintf(script, RMDIR_CMD " %s\n", fix_path_separator(old_cluster.pgdata));
  
  	/* delete old cluster's alternate tablespaces */
  	for (tblnum = 0; tblnum < os_info.num_old_tablespaces; tblnum++)
--- 528,534 ----
  #endif
  
  	/* delete old cluster's default tablespace */
! 	fprintf(script, RMDIR_CMD " \"%s\"\n", fix_path_separator(old_cluster.pgdata));
  
  	/* delete old cluster's alternate tablespaces */
  	for (tblnum = 0; tblnum < os_info.num_old_tablespaces; tblnum++)
*************** create_script_for_old_cluster_deletion(c
*** 550,556 ****
  						PATH_SEPARATOR);
  
  			for (dbnum = 0; dbnum < old_cluster.dbarr.ndbs; dbnum++)
! 				fprintf(script, RMDIR_CMD " %s%c%d\n",
  						fix_path_separator(os_info.old_tablespaces[tblnum]),
  						PATH_SEPARATOR, old_cluster.dbarr.dbs[dbnum].db_oid);
  		}
--- 550,556 ----
  						PATH_SEPARATOR);
  
  			for (dbnum = 0; dbnum < old_cluster.dbarr.ndbs; dbnum++)
! 				fprintf(script, RMDIR_CMD " \"%s%c%d\"\n",
  						fix_path_separator(os_info.old_tablespaces[tblnum]),
  						PATH_SEPARATOR, old_cluster.dbarr.dbs[dbnum].db_oid);
  		}
*************** create_script_for_old_cluster_deletion(c
*** 562,568 ****
  			 * Simply delete the tablespace directory, which might be ".old"
  			 * or a version-specific subdirectory.
  			 */
! 			fprintf(script, RMDIR_CMD " %s%s\n",
  					fix_path_separator(os_info.old_tablespaces[tblnum]),
  					fix_path_separator(suffix_path));
  			pfree(suffix_path);
--- 562,568 ----
  			 * Simply delete the tablespace directory, which might be ".old"
  			 * or a version-specific subdirectory.
  			 */
! 			fprintf(script, RMDIR_CMD " \"%s%s\"\n",
  					fix_path_separator(os_info.old_tablespaces[tblnum]),
  					fix_path_separator(suffix_path));
  			pfree(suffix_path);
